<template>
    <v-row row justify-center>
        <v-dialog v-model="dialog">
            <!-- card -->
            <v-card>
                <v-card-title class="headline">
                    {{ data.heading }}
                    <v-spacer></v-spacer>
                    <v-btn text icon @click="dialog = false">
                        <v-icon>clear</v-icon>
                    </v-btn>
                </v-card-title>
                <v-divider></v-divider>
                <v-card-text>
                    <!-- container -->
                    <v-container align-center>
                        <v-row row >
                            <v-col xs="12" md="12">
                                <span v-html="data.description"></span>
                            </v-col>
                        </v-row>
                    </v-container>

                    <v-container v-show="data.media && data.media.length">
                        <v-divider></v-divider>
                        <v-list>
                            <v-subheader inset> {{ trans('messages.documents') }} </v-subheader>
                            <v-list-item v-for="item in data.media" :key="item.id">
                                <v-list-item-action>
                                    <a :href="item.download_url"> <v-icon>archive</v-icon> </a>
                                </v-list-item-action>

                                <v-list-item-content>
                                    <v-list-item-title
                                        v-text="item.display_name"
                                    ></v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                        </v-list>
                    </v-container>

                    <!-- /container -->
                </v-card-text>
                <v-divider></v-divider>
                <v-card-actions>
                    <div class="caption">
                        <v-icon right>create</v-icon>
                        {{ _.get(data, 'user.name', null) }}

                        <v-icon right>calendar_today</v-icon>
                        {{ data.created_at | formatDate }}
                    </div>
                    <v-spacer></v-spacer>
                    <v-btn color="green darken-1" text @click="dialog = false">
                        {{ trans('messages.close') }}
                    </v-btn>
                </v-card-actions>
            </v-card>
            <!-- /card -->
        </v-dialog>
    </v-row>
</template>
<script>
export default {
    data() {
        return {
            dialog: false,
            data: [],
        };
    },
    methods: {
        show(data) {
            const self = this;
            axios
                .get('/admin/employee-notes/' + data.note_id, { params: { user_id: data.user_id } })
                .then(function(response) {
                    self.data = response.data;
                    self.dialog = true;
                })
                .catch(function(error) {
                    console.log(error);
                });
        },
    },
};
</script>
